%define name bluemarine
%define version 0.9.RC2b.3244
%define release %mkrel 1

Summary:  Application for digital photo workflow 
Name:     %name
Version:  %version
Release:  %release
URL:      http://bluemarine.tidalwave.it/
License:  Apache
Group:    Graphics
Source0:  http://bluemarine.tidalwave.it/download/%name-%version.tar.xz
BuildRoot: %_tmppath/%name-%version-%release-buildroot
Buildarch: noarch
Requires: libCg
Requires: java >= 1.6

%description
An open source application for the digital photo workflow, the blueMarine project 
will provide you an all-in-one tool for managing your photos, from the shoot up to 
the archiving and beyond. blueMarine is an expandable, open platform and includes 
specific support for different photographers communities, as well as the latest 
technologies.

%prep
%setup -q -n blueMarine-%version

%build

%install
rm -rf $RPM_BUILD_ROOT
#launcher
mkdir -p %buildroot%_bindir
install -m 755 blueMarine %buildroot%_bindir/%{name} 

#data
mkdir -p %{buildroot}%{_datadir}/blueMarine
cp -r %{name} LICENSE.html README.html %{buildroot}%{_datadir}/blueMarine

#icon
mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -m 644 *.png %{buildroot}%{_datadir}/pixmaps/%{name}.png 
convert %{buildroot}%{_datadir}/pixmaps/%{name}.png -resize 48 \
%{buildroot}%{_datadir}/pixmaps/%{name}.png

# menu entry
mkdir -p %buildroot%_datadir/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=BlueMarine
Comment=Application for digital photo workflow
Type=Application
Terminal=false
Exec=%{name}
Icon=%{name}
Categories=Graphics;Photography;X-MandrivaLinux-Multimedia-Graphics;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/blueMarine
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun May 23 2010 slick50 <lxgator@gmail.com> 0.9.RC2b.3244-1pclos2010
- initial build

